Package org.eclipse.mat.ibmvm.agent

## Class DumpAgent

- java.lang.Object
- - org.eclipse.mat.ibmvm.agent.DumpAgent

    public class DumpAgent
    extends java.lang.Object

Helper class which is loaded into the target VM to create a dump. This class requires an IBM VM to run, but uses reflection so that it can be compiled with any Java compiler.

### Field Summary

Fields
`static java.lang.String` `HEAP`
`static java.lang.String` `HPROF`
`static java.lang.String` `INFO_SEPARATOR`
`static java.lang.String` `JAVA`
`static java.lang.String` `SEPARATOR`
`static java.lang.String` `SYSTEM`

### Constructor Summary

Constructors
`DumpAgent()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `agentmain​(java.lang.String arg)` Generate a dump on this machine
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SEPARATOR

    public static final java.lang.String SEPARATOR

See Also:
  Constant Field Values

#### SYSTEM

    public static final java.lang.String SYSTEM

See Also:
  Constant Field Values

#### HEAP

    public static final java.lang.String HEAP

See Also:
  Constant Field Values

#### JAVA

    public static final java.lang.String JAVA

See Also:
  Constant Field Values

#### HPROF

    public static final java.lang.String HPROF

See Also:
  Constant Field Values

#### INFO_SEPARATOR

    public static final java.lang.String INFO_SEPARATOR

### Constructor Detail

#### DumpAgent

    public DumpAgent()

### Method Detail

#### agentmain

    public static void agentmain​(java.lang.String arg)
                          throws java.lang.ClassNotFoundException,
                                 java.lang.NoSuchMethodException,
                                 java.lang.reflect.InvocationTargetException,
                                 java.lang.IllegalAccessException,
                                 java.lang.InstantiationException,
                                 javax.management.MalformedObjectNameException,
                                 javax.management.InstanceNotFoundException,
                                 javax.management.ReflectionException,
                                 javax.management.MBeanException

Generate a dump on this machine

Parameters:
  `arg` - E.g. "system", "heap+java", "java" true live objects only with a path separator separating possible file names Throw a exception if there is a problem so that the other end receives an AgentInitializationException.
Throws:
  `java.lang.ClassNotFoundException`
  `java.lang.NoSuchMethodException`
  `java.lang.reflect.InvocationTargetException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`
  `javax.management.MalformedObjectNameException`
  `javax.management.InstanceNotFoundException`
  `javax.management.ReflectionException`
  `javax.management.MBeanException`

#### main

    public static void main​(java.lang.String[] args)
                     throws java.lang.ClassNotFoundException,
                            java.lang.NoSuchMethodException,
                            java.lang.reflect.InvocationTargetException,
                            java.lang.IllegalAccessException,
                            java.lang.InstantiationException,
                            javax.management.MalformedObjectNameException,
                            javax.management.InstanceNotFoundException,
                            javax.management.ReflectionException,
                            javax.management.MBeanException

Throws:
  `java.lang.ClassNotFoundException`
  `java.lang.NoSuchMethodException`
  `java.lang.reflect.InvocationTargetException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`
  `javax.management.MalformedObjectNameException`
  `javax.management.InstanceNotFoundException`
  `javax.management.ReflectionException`
  `javax.management.MBeanException`